org.apache.cassandra.cql3.selection

## Interface SelectionColumns

All Known Implementing Classes:
  SelectionColumnMapping

    public interface SelectionColumns

Represents a mapping between the actual columns used to satisfy a Selection and the column definitions included in the resultset metadata for the query.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<ColumnSpecification>` `getColumnSpecifications()`
`com.google.common.collect.Multimap<ColumnSpecification,ColumnDefinition>` `getMappings()`

### Method Detail

#### getColumnSpecifications

    java.util.List<ColumnSpecification> getColumnSpecifications()

#### getMappings

    com.google.common.collect.Multimap<ColumnSpecification,ColumnDefinition> getMappings()